/**
 * Initialize ADC
 *
 * For thread-based, single conversion ADC mode
 */
void init_adc(void) {
	cbi(PRR, PRADC);
	
	ADMUX = 0b01100000;		// 7:6  REFS1:0: Reference Selection Bits
							// 5  ADLAR: ADC Left Adjust Result
							// 4:0  MUX4:0: Analog Channel and Gain Selection Bits
							
	ADCSRA = 0b11000101;	// 7  ADEN: ADC Enable
							// 6  ADSC: ADC Start Conversion
							// 5  ADATE: ADC Auto Trigger Enable
							// 4  ADIF: ADC Interrupt Flag
							// 3  ADIE: ADC Interrupt Enable
							// 2:0  ADPS2:0: ADC Prescaler Select Bits
							
	ADCSRB = 0b00000000;	// 7, 5:3 - Reserved Bits
							// 2:0  ADTS2:0: ADC Auto Trigger Source

	//DIDR0 = 0b11111111;		// 7:0 - ADC7:0 Digital Input Disable
							//	=> Disable digital input buffer to reduce power consumption 
}