/**
 * A Tiny45 LED Test
 *
 * Ruibing Wang (rw98@cornell.edu)
 */
 
/**
 * Tiny45 DIP Pinout
 * 									___________
 * PB5 (PCINT5/RESET/ADC0/dW)		|1		40| VCC
 * PB3 (PCINT3/XTAL1/CLKI/OC1B/ADC3)|2		39| PB2 (SCK/USCK/SCL/ADC1/T0/INT0/PCINT2)
 * PB4 (PCINT4/XTAL2/CLKO/OC1B/ADC2)|3		38| PB1 (MISO/DO/AIN1/OC0B/OC1A/PCINT1)
 * GND 								|4		37| PB0 (MOSI/DI/SDA/AIN0/0C0A/OC1A/AREF/PCINT0)
 *									-----------
 */

/* Includes */
#include <TINY45.H>
#include <string.h>
#include <stdio.h>
#include <delay.h>

void main(void) {
	DDRB.0 = 1;
	PORTB.0 = 1;
	
	while(1) {
		PORTB.0 = 1;
		
		delay_ms(100);
		
		PORTB.0 = 0;
		
		delay_ms(100);
	}
}
	